> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Platform Services



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/platform/services
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/platform/services:
    get:
      tags:
        - Platform
      summary: Platform Services
      operationId: integrations_api_api_v2_platform_router_platform_services
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServicesSnapshot'
      security:
        - OAuth2: []
components:
  schemas:
    ServicesSnapshot:
      properties:
        version:
          const: 1
          title: Version
          type: integer
        generated_at:
          format: date-time
          title: Generated At
          type: string
        history_generated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: History Generated At
        days:
          const: 90
          title: Days
          type: integer
        source_available:
          title: Source Available
          type: boolean
        services:
          items:
            $ref: '#/components/schemas/Service'
          maxItems: 5
          minItems: 5
          title: Services
          type: array
      required:
        - version
        - generated_at
        - history_generated_at
        - days
        - source_available
        - services
      title: ServicesSnapshot
      type: object
    Service:
      properties:
        id:
          enum:
            - partner_api
            - connect_ui
            - mypodero
            - console
            - ocpp_relay
          title: Id
          type: string
        name:
          maxLength: 100
          minLength: 1
          title: Name
          type: string
        online:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Online
        last_checked:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Checked
        uptime_percent:
          anyOf:
            - maximum: 100
              minimum: 0
              type: number
            - type: 'null'
          title: Uptime Percent
        latency_ms:
          anyOf:
            - minimum: 0
              type: number
            - type: 'null'
          title: Latency Ms
        observed_checks:
          minimum: 0
          title: Observed Checks
          type: number
        missing_days:
          maximum: 90
          minimum: 0
          title: Missing Days
          type: integer
        history:
          items:
            $ref: '#/components/schemas/ServiceDay'
          maxItems: 90
          minItems: 90
          title: History
          type: array
      required:
        - id
        - name
        - online
        - last_checked
        - uptime_percent
        - latency_ms
        - observed_checks
        - missing_days
        - history
      title: Service
      type: object
    ServiceDay:
      properties:
        time:
          format: date-time
          title: Time
          type: string
        uptime_percent:
          anyOf:
            - maximum: 100
              minimum: 0
              type: number
            - type: 'null'
          title: Uptime Percent
        latency_ms:
          anyOf:
            - minimum: 0
              type: number
            - type: 'null'
          title: Latency Ms
        observed_checks:
          minimum: 0
          title: Observed Checks
          type: number
      required:
        - time
        - uptime_percent
        - latency_ms
        - observed_checks
      title: ServiceDay
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````